API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}
API Resource Path: /oauth1/verifiers
List OAuth 1.0 Verifiers
Verb: GET
Auth: Basic AuthGets a list of all verifiers and details for each verifier in an Organization.
Sample Request:$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/oauth1/verifiers
Sample Response:
{
"verifier" : [ {
"appUserId" : "Developer@apigee.com",
"attributes" : [ {
"name" : "region",
"value" : "north"
} ],
"code" : "1234",
"createdAt" : 1343035714593,
"createdBy" : "Admin",
"expiresAt" : 1343037514593,
"issuedAt" : 1343035714593,
"lastModifiedAt" : 1343035714593,
"lastModifiedBy" : "Admin",
"requestToken" : "2c8zOXaSwbNrEJ62HhkLAjXgPvu1"
},
{...}
]
}
Response Payload Elements:
| Name | Description |
|---|---|
| code | Fetches the detail of the verifier code provided by the resource owner |
| appUserId | Resource owner's user ID |
| attributes | Arbitrary name/value elements attached to the profile for the verifier |
| requestToken | Token to re-issue the request token |
| createdAt | UNIX time the verifier was created |
| createdBy | Apigee user account name of the individual who submitted the POST request that created the verifier |
| expiresAt | Expiry time period of the token to be generated; token expires/is deleted when the expiry time ends |
| issuedAt | UNIX time the verifier code is issued |
| lastModifiedBy | Apigee user account name of the individual who submitted the request that most recently modified this entity |
| lastModifiedAt | UNIX time the app was last modified |
Failure 500 with proper error message
{
"code" : "keymanagement.service.......",
"message" : "Unable to fetch verifier code details",
"contexts" : [ ]
}
Error Codes:
1.keymanagement.service.oauth10_verifier_list_fetch_failed
Last updated:
about 1 month ago